# $Revision: 1.13 $, $Date: 2001/06/21 19:48:10 $
Summary:	LaTeX macros for converting Jade TeX output into DVI/PS/PDF
Summary(pl):	Makra LaTeX do konwersji Jade Tex do DVI/PS/PDF
Name:		jadetex
Version:	3.5
Release:	2
Copyright:	Copyright (C) 1995,1996,1997,1998,1999,2000,2001 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Group:		Applications/Publishing/SGML
Group(de):	Applikationen/Publizieren/SGML
Group(pl):	Aplikacje/Publikowanie/SGML
URL:		http://www.tug.org/applications/jadetex/
Source0:	http://www.tug.org/applications/%{name}/%{name}.zip
Patch1:		%{name}-latin2.patch
Requires:	sgml-common
%requires_eq	tetex
%requires_eq	tetex-latex
BuildRequires:	hugelatex
BuildRequires:	tetex-pdftex
BuildRequires:	unzip
Autoreqprov:	no
Prereq:		sh-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as LaTeX files.

%description -l pl
JadeTeX zawiera dodatkowe makra LaTeX potrzebne do konwersji plikw
otrzymanych z Jade TeX i przetworzenia ich jako plikw LaTeX.

%prep
%setup -q -c -T 
unzip -qa %{SOURCE0}
%patch1 -p1 

%build
tex jadetex.ins 
# 'echo' is temporary fix for some latex errors
# they are not important and can be ignored
echo | tex -ini "&hugelatex" -progname=jadetex jadetex.ini || :
echo | pdftex -ini "&pdflatex" -progname=pdfjadetex pdfjadetex.ini || :

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/{web2c,tex/jadetex} \
	   $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

cp jadetex.1 pdfjadetex.1 ${RPM_BUILD_ROOT}%{_mandir}/man1 
# orig
mv pdfjadetex.fmt jadetex.fmt $RPM_BUILD_ROOT%{_datadir}/texmf/web2c
cp dsssl.def jadetex.ltx $RPM_BUILD_ROOT%{_datadir}/texmf/tex/jadetex

ln -s tex ${RPM_BUILD_ROOT}%{_bindir}/jadetex
ln -s pdftex ${RPM_BUILD_ROOT}%{_bindir}/pdfjadetex

gzip -9nf ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/texmf/web2c/*
%{_datadir}/texmf/tex/jadetex
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jadetex.spec,v $
Revision 1.13  2001/06/21 19:48:10  misiek
- requires_eq: tetex and tetex-latex
- added pl translations

Revision 1.12  2001/06/20 17:06:27  pawelk
rel:2
no changes. it should be rebuilded with new tetex
STBR

Revision 1.11  2001/03/23 17:43:49  wiget
workaround for rpm <4.0.2

Revision 1.10  2001/03/23 17:11:49  wiget
3.5; changed Source0 and URL

Revision 1.9  2001/01/19 17:51:23  kloczek
- spec cleaned up.

Revision 1.8  2001/01/19 17:23:40  zagrodzki
- BuildReq: tetex-pdftex

Revision 1.7  2000/06/23 11:20:29  klakier
- package is noarch

Revision 1.6  2000/06/10 10:35:33  klakier
- better latin2 hacking

Revision 1.5  2000/06/10 08:27:44  klakier
- *jadetexl1 removed (doesn't workon changed name). Now jadetex and pdfjadetex
  are hacked to use latin2 instead of latin1

Revision 1.4  2000/06/10 07:43:54  klakier
- added latin2 temporary support ([pdf]jadetexl2)

Revision 1.3  2000/06/09 15:33:36  klakier
- BuildRequires hugelatex

Revision 1.2  2000/06/09 05:39:10  kloczek
- spec adapterized,
- some cosmetics.

Revision 1.1  2000/06/08 21:15:31  klakier
- based on mdk, rh specs

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- fix links

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- update to 2.7

* Sat Aug 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.5.
- clean up the spec file.
- revert babel patch.

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- added %defattr and removed all the %attr
- moved buildroot to /var/tmp instead of /tmp
- built for 6.1

* Mon Apr 26 1999 Owen Taylor <otaylor@redhat.com>
- Remove use of babel to get .fmt file to rebuild correctly
